package rpgEngine.Data.Abstract.Party;

public class Skill {
	private Integer ID;
	private String name;
	private String description;
	private Integer type; 
	private Integer target;
	private Integer baseDamage;
	private Integer mpCost;
	private Integer basedOnStat;
	
	public static final Integer TYPE_ATTACK = 0;
	public static final Integer TYPE_HEALING = 1;
	public static final Integer TYPE_REVIVE = 2;
	public static final Integer TARGET_SINGLE = 0;
	public static final Integer TARGET_ALL = 1;
	public static final Integer STAT_ATTACK = 0;
	public static final Integer STAT_MAGIC = 1;
	
	public Skill() {
		this(-1,"","",0,0,0,0,0);
	}
	
	
	public Skill(Integer i, String n, String d, Integer ty, Integer ta, Integer bd, Integer mc, Integer bs) {
		setID(i);
		name = n;
		description = d;
		type = ty;
		target = ta;
		baseDamage = bd;
		mpCost = mc;
		basedOnStat = bs;
	}


	public String getName() {
		return name;
	}


	public void setName(String name) {
		this.name = name;
	}


	public Integer getType() {
		return type;
	}


	public void setType(Integer type) {
		this.type = type;
	}


	public Integer getTarget() {
		return target;
	}


	public void setTarget(Integer target) {
		this.target = target;
	}


	public Integer getBaseDamage() {
		return baseDamage;
	}


	public void setBaseDamage(Integer baseDamage) {
		this.baseDamage = baseDamage;
	}


	public Integer getMpCost() {
		return mpCost;
	}


	public void setMpCost(Integer mpCost) {
		this.mpCost = mpCost;
	}


	public String getDescription() {
		return description;
	}


	public void setDescription(String description) {
		this.description = description;
	}


	public Integer getID() {
		return ID;
	}


	public void setID(Integer iD) {
		ID = iD;
	}


	public Integer getBasedOnStat() {
		return basedOnStat;
	}


	public void setBasedOnStat(Integer baseOnStat) {
		this.basedOnStat = baseOnStat;
	}
	
	
	
}
